%define fontname	darkgarden
%define fontdir		%{_datadir}/fonts/%{fontname}
%define fontconfdir	%{_sysconfdir}/fonts/conf.d
%define conf1		69-darkgarden.conf

Name:		%{fontname}-fonts
Version:	1.1
Release:	1%{?dist}
Summary:	Dark Garden is a decorative outline font of unusual shape

Group:		User Interface/X
License:	GPLv2
URL:		http://darkgarden.sourceforge.net/
Source0:	http://darkgarden.sourceforge.net/darkgarden-1.1.src.zip
Source1:	69-darkgarden.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	fontforge >= 20061025-1

%description
Dark Garden is a decorative outline font of unusual shape. 
The typeface is based on author's original hand drawings. 
The letterform is complex, with all characters decorated 
with spikes resembling thorns or flames, character spacing 
is very dense. Such a theme makes it a great font for titles, 
banners, logos etc. Due to the font's complicated form, 
long text passages are not very legible, but short paragraphs 
such as titles or lyrics / poetry look very well.

%prep
%setup -q -n darkgarden-1.1 %{SOURCE0}

%build
fontforge -c 'Open($1); Generate($2)' DarkGarden.sfd DarkGarden.ttf

%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{fontdir}
install -pm 644 *.ttf $RPM_BUILD_ROOT%{fontdir}
install -m 0755 -d $RPM_BUILD_ROOT%{fontconfdir}
install -m 0644 -p %{SOURCE1} $RPM_BUILD_ROOT%{fontconfdir}/

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/fc-cache ] ; then
	%{_bindir}/fc-cache -f %{fontdir} || :
fi
	
%postun
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then
	%{_bindir}/fc-cache -f %{fontdir} || :
fi

%files
%defattr(644,root,root,755)
%doc COPYING.txt
%doc README.txt
%doc COPYING-GPL.txt

%dir %{fontdir}/
%{fontdir}/*.ttf
%config(noreplace) %{fontconfdir}/%{conf1}

%changelog
* Mon Jul 21 2008 Lyos Gemini Norezel <Lyos.GeminiNorezel@gmail.com> 1.1-1
- Modified spec file to more closely follow fedora's policy
- Checked spec and srpm against rpmlint and mock

* Fri Jul 11 2008 Lyos Gemini Norezel <Lyos.GeminiNorezel@gmail.com>
- Created DarkGarden font package
